// ===========================================================================
// 
//       Filename:  exceptions.h
// 
//    Description:  Exception classes
// 
//        Version:  0.0
//        Created:  03/19/2013 12:22:19 PM
//       Revision:  none
//       Compiler:  Tested with g++ 
// 
//         Author:  M. Andy Kass (MAK)
//
//   Organisation:  US Geological Survey
//                  
//
//          Email:  mkass@usgs.gov
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ===========================================================================

#ifndef __exceptions_h
#define __exceptions_h

#include "formalhaut.h"

namespace formalhaut {

/// Generic file I/O error
class GenericFileIOError : public std::runtime_error {
	public: GenericFileIOError(const std::string &filename);
};

} //end of namespace formalhaut
#endif
